//
// This code is part of https://en.onboarding.grapecitydev.com/documents-api-pdf/demos.
// Copyright (c) GrapeCity, Inc. All rights reserved.
//
using System;
using System.IO;
using System.Reflection;
using System.Collections.Generic;
using System.Diagnostics;
using GrapeCity.Documents.Pdf;

namespace GcPdfSampleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                var fileName = "ExtractedData.csv";
                Console.WriteLine("Operation started...");
                var sample = new GcPdfWeb.Samples.GetTableData();
                sample.GetTablePage(fileName);
                Console.WriteLine($"Operation completed successfully.");
            }
            catch (Exception ex)
            {
                Console.Error.WriteLine($"Error: {ex.Message}");
                if (ex.InnerException != null)
                    Console.Error.WriteLine($"InnerException: {ex.InnerException.Message}");
            }
        }
    }
}
